      SUBROUTINE FMASS(NRM,HIWPC,TIA,TFM,QCFM)
C 
C  FURNITURE MASS MODEL 
CMDK NWL
CMDK NZN
CMDK NZW
CMDK ENCBK1
CMDK TEMP1
CMDK TIMEB
CMDK BLKFMI
      DIMENSION TFM(NZN),TFMP(NZN),ASFM(NZN)
      LOGICAL FIRST 
      DATA FIRST/.TRUE./
      IF(FIRST)THEN 
        FIRST=.FALSE.
C  NOTE::  FURNITURE DATA ARE READ IN STRCTL.FOR        
C          THE CURRENT MODEL DOES NOT PARTICIPATE IN RADIATION HEAT
C          EXCHANGE IN THE ZONE FROM WALLS,CEILING,AND FLOORS (CALC
C          IN MRTSWF AND RESPECTIVE SUBPROGRAMS (OWALLS,IWALLS,CEIL,
C          & FLOOR))
        DO 10 J=1,NROOMS 
        NRMJ=NRMA(J) 
        IF(XMFM(NRMJ).NE.0.)THEN 
C  2.4 IS 2.(SURFACES)*12.(INCH/FT)/10(TEN STEPS/TIMESTEP)        
          ASFM(NRMJ)=2.4*XMFM(NRMJ)/(THKFM(NRMJ)*RHOFM)
        ENDIF
   10   CONTINUE
      ENDIF 
      IF(XMFM(NRM).EQ.0.)THEN 
        QCFM=0.
      ELSE
C  QCFMC IS HEAT TRANSFER TO FURNITURE MASS!      
        QCFMQ=0.
        QCFM=0.
        DO 20 IJ=1,10
        QCFMC=HIWPC*ASFM(NRM)*(TIA - TFM(NRM))
        QCFMQ=QCFMQ+QCFMC
        TFMP(NRM)=TFM(NRM)+QCFMC*DTIME/(XMFM(NRM) * CPFM)
        TFM(NRM)=TFMP(NRM) 
C  QCFM IS HEAT TRANSFER TO AIR (OPPOSITE SIGN TO QCFMC!)        
        QCFM = QCFM +  (-1. * QCFMC)
   20   CONTINUE
      ENDIF
      RETURN
      END 
